### Hierarchy

- WebCryptoAesCipher

### Implements

- AesCipher

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- decrypt
- encrypt

## Constructors

### constructor

- new WebCryptoAesCipher(subtleCrypto: SubtleCrypto): WebCryptoAesCipher

- - Defined in src/encryption/aesCipher.ts:62

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoAesCipher

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in src/encryption/aesCipher.ts:62

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.decrypt

  - Defined in src/encryption/aesCipher.ts:94

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.encrypt

  - Defined in src/encryption/aesCipher.ts:68

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc